configurable list of models to include in search
Status: Closed Start date: 2009-09-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed   

Description

It would be nice to be able to configure (and especially add to) the list of object types that the search engine considers.  At present

the list is hard-coded in the search controller

For an in-house customization I needed to include a new searchable model class into the search engine.  To do this I had to override

the SearchController#index method, but it would have been nices to be able to modify a configuration parameter to simply add a new

model type to the @object_types array.

Related issues:

Related to Redmine - Patch #4800: Ability to add search providers from plugins Closed 2010-02-11

Has duplicate Redmine - Feature #3021: Extend search with plugins Closed 2009-03-22

Associated revisions

Revision 3444 - 2010-02-17 21:05 - Jean-Philippe Lang

Makes search providers extensible (#3936).

History

#1 - 2010-02-17 21:40 - Jean-Philippe Lang

- Target version set to 1.0.0 (RC)

#2 - 2010-05-03 20:58 - Alex Bevilacqua

Just out of curiosity, how would I use this change to add search functionality from a plugin?

#3 - 2010-05-08 13:40 - Holger Winkelmann

will this also address search (fulltext) capabilities for the repositories ?

#4 - 2010-06-15 00:54 - Eric Davis

- Status changed from New to Closed

- Resolution set to Fixed

It appears that this is complete.

Alex Bevilacqua wrote:

Just out of curiosity, how would I use this change to add search functionality from a plugin?

 If you put this into your plugins' init.rb, this should add the Deliverable model:

Redmine::Search.map do |search|

  search.register :deliverables

end

#5 - 2010-12-21 06:00 - Mischa The Evil

More info about how to implement this in a plugin can be found on #3021 #note-4.

Powered by TCPDF (www.tcpdf.org)

2025-07-03 1/1

http://www.redmine.org/projects/redmine/repository/entry/trunk/app/controllers/search_controller.rb#L51
https://www.redmine.org/issues/3021
http://www.redmine.org/issues/3021#note-4
http://www.tcpdf.org

